%define name weston
%define version 0.85.0
%define release %mkrel 1

Summary:	The Weston Wayland Compositor
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
Patch0:		weston-0.85.0-new-xkbcommon-include-path.patch
License:	MIT
Group:		System/Libraries
Url:		http://wayland.freedesktop.org/
BuildRequires:	cairo-devel
BuildRequires:	jpeg-devel
BuildRequires:	libxkbcommon-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaegl-devel
BuildRequires:	mesaglesv2-devel
BuildRequires:	pixman-devel
BuildRequires:	png-devel
BuildRequires:	udev-devel
BuildRequires:	wayland-devel
BuildRequires:	wayland-egl-devel

%description
This package contains a few demos application for the Wayland project.
There's a sample compositor that can run on KMS, under X11 or under
another Wayland compositor and there's a handful of simple clients
that demonstrate various aspects of Wayland.

%prep
%setup -q
%patch0 -p1 -b .includepath

%build
autoreconf -vfi
%configure2_5x --disable-setuid-install
%make

%install
%makeinstall_std

%files
%attr(4755,root,root) %{_bindir}/%{name}
%{_bindir}/%{name}-terminal
%{_libdir}/%{name}-desktop-shell
%{_libdir}/%{name}-tablet-shell
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg


%changelog

* Mon Mar 05 2012 blino <blino> 0.85.0-1.mga2
+ Revision: 218311
- buildrequire jpeg-devel
- buildrequire cairo devel
- buildrequire pixman and png devel packages
- initial release
- Created package structure for weston.

